---
description: Docker Trusted Registry restore command reference.
keywords: docker, registry, restore, backup
title: docker/dtr restore
---

Create a new DTR cluster from an existing backup

## Usage

```bash
docker run -i --rm docker/dtr \
    restore [command options] < backup.tar
```

## Description

This command performs a fresh installation of DTR, and reconfigures it
with configuration data from a tar file generated by the 'backup' command.
The command starts by installing DTR, restores the configurations
stored on etcd, and then restores the repository metadata stored
on RethinkDB.

This command does not restore Docker images. You should implement a separate
restore procedure for the Docker images stored in your registry, taking in
consideration whether your DTR installation is configured to store images on
the filesystem or using a cloud provider.

After restoring DTR, you can add more nodes to the DTR cluster with
the 'join' command.


## Options

| Option                      | Description                                                                                                                         |
|:----------------------------|:------------------------------------------------------------------------------------------------------------------------------------|
| `--ucp-url`                 | Specify the UCP controller URL including domain and port                                                                            |
| `--ucp-username`            | Specify the UCP admin username                                                                                                      |
| `--ucp-password`            | Specify the UCP admin password                                                                                                      |
| `--debug`                   | Enable debug mode, provides additional logging                                                                                      |
| `--hub-username`            | Specify the Docker Hub username for pulling images                                                                                  |
| `--hub-password`            | Specify the Docker Hub password for pulling images                                                                                  |
| `--http-proxy`              | Set the HTTP proxy for outgoing requests                                                                                            |
| `--https-proxy`             | Set the HTTPS proxy for outgoing requests                                                                                           |
| `--no-proxy`                | Set the list of domains to not proxy to                                                                                             |
| `--replica-http-port`       | Specify the public HTTP port for the DTR replica; 0 means unchanged/default                                                         |
| `--replica-https-port`      | Specify the public HTTPS port for the DTR replica; 0 means unchanged/default                                                        |
| `--log-protocol`            | The protocol for sending container logs: tcp, udp or internal. Default: internal                                                    |
| `--log-host`                | Endpoint to send logs to, required if --log-protocol is tcp or udp                                                                  |
| `--log-level`               | Log level for container logs. Default: INFO                                                                                         |
| `--dtr-external-url`        | Specify the external domain name and port for DTR. If using a load balancer, use its external URL instead.                          |
| `--etcd-heartbeat-interval` | Set etcd's frequency (ms) that its leader will notify followers that it is still the leader.                                        |
| `--etcd-election-timeout`   | Set etcd's timeout (ms) for how long a follower node will go without hearing a heartbeat before attempting to become leader itself. |
| `--etcd-snapshot-count`     | Set etcd's number of changes before creating a snapshot.                                                                            |
| `--ucp-insecure-tls`        | Disable TLS verification for UCP                                                                                                    |
| `--ucp-ca`                  | Use a PEM-encoded TLS CA certificate for UCP                                                                                        |
| `--ucp-node`                | Specify the host to install Docker Trusted Registry                                                                                 |
| `--replica-id`              | Specify the replica ID. Must be unique per replica, leave blank for random                                                          |
| `--config-only`             | Backup/restore only the configurations of DTR and not the database                                                                  |